# oursprivacy-client
The Ours Server-Side REST API

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Generator version: 7.12.0-SNAPSHOT
- Build package: org.openapitools.codegen.languages.PythonClientCodegen
For more information, please visit [https://docs.oursprivacy.com](https://docs.oursprivacy.com)

## Requirements.

Python 3.8+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github/with-ours/ingest-sdk-python.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github/with-ours/ingest-sdk-python.git`)

Then import the package:
```python
import oursprivacy_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import oursprivacy_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import oursprivacy_client
from oursprivacy_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://api.oursprivacy.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = oursprivacy_client.Configuration(
    host = "https://api.oursprivacy.com/api/v1"
)



# Enter a context with an instance of the API client
with oursprivacy_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = oursprivacy_client.OursPrivacyApi(api_client)
    identify_request = oursprivacy_client.IdentifyRequest() # IdentifyRequest | The payload to identify a user

    try:
        # Identify Users
        api_response = api_instance.identify(identify_request)
        print("The response of OursPrivacyApi->identify:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling OursPrivacyApi->identify: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.oursprivacy.com/api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*OursPrivacyApi* | [**identify**](docs/OursPrivacyApi.md#identify) | **POST** /identify | Identify Users
*OursPrivacyApi* | [**track**](docs/OursPrivacyApi.md#track) | **POST** /track | Track Events


## Documentation For Models

 - [IdentifyRequest](docs/IdentifyRequest.md)
 - [IdentifyRequestUserProperties](docs/IdentifyRequestUserProperties.md)
 - [Track200Response](docs/Track200Response.md)
 - [TrackRequest](docs/TrackRequest.md)
 - [TrackRequestDefaultProperties](docs/TrackRequestDefaultProperties.md)
 - [TrackRequestUserProperties](docs/TrackRequestUserProperties.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author

support@oursprivacy.com


